Subject: bug#29272: 26.0.90; "C-h k C-mouse-3" followed by menu selection asks for more keys

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Nov 2017 13:27:35 +0200

> Date: Tue, 14 Nov 2017 20:54:49 +0000
> Cc: [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> You're not kidding about the refactoring.  ;-)

No, not at all.

> The following patch attempts to catch and filter out obtrusive events.
> Could you try it out, please, even though it's not perfect (see below).
> It's based on the emacs-26 branch:

Thanks, this seems to fix the problem.  I take it that you've verified
it doesn't re-introduce the original bug?

> However, the problem is that in C-h k  C-mouse-3
> <select-something-from-the-menus>, we get a spurious "translation"
> message in *Help*, looking something like:
> 
>     <C-down-mouse-3> <file> <new-file> (translated from <mouse-1> <new-file>) at
>     that spot runs the command find-file (found in global-map), which is an
>     interactive compiled Lisp function in `files.el'.
> 
> That was from a Linux tty session using gpm.  In X, I got the message
> 
>     .... (translated from <C-down-mouse-3> <C-down-mouse-3> ....)

I only see this in a text-mode frame (in my case it's "<mouse-1>
<indent-pp-sexp>").  On GUI frame, there's no "translation".

> .  I don't believe this glitch has to do with my patch - I think it's
> been there for some while, but this bug has prevented it being seen
> before.

I think you are right, as I see the same problem in Emacs 24.5.

In any case, this is a much more minor bug than the one I reported, so
please install your changes on the release branch.  Bonus points if
you can find where does the "translation" come from.

Thanks.